> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/environment.md).

# Environment

Provides environment information such as the device, app, deployment, network, and server time where the mini app is running.

### API List

| API                                 | Description                                                                                             | Details                                                                                                       |
| ----------------------------------- | ------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| `Environment.deviceId`              | It is the device's unique identifier                                                                    | [deviceId](/documentation/api-and-sdk-en/sdk/domains-api/environment/environment.deviceid.md)                 |
| `Environment.groupId`               | It is the Appintos group ID                                                                             | [groupId](/documentation/api-and-sdk-en/sdk/domains-api/environment/environment.groupid.md)                   |
| `Environment.environment`           | Production environment(`toss`/`sandbox`) information.                                                   | [environment](/documentation/api-and-sdk-en/sdk/domains-api/environment/environment.environment.md)           |
| `Environment.tossAppVersion`        | It is the Toss app version information                                                                  | [tossAppVersion](/documentation/api-and-sdk-en/sdk/domains-api/environment/environment.tossappversion.md)     |
| `Environment.deploymentId`          | It is the current deployment ID                                                                         | [deploymentId](/documentation/api-and-sdk-en/sdk/domains-api/environment/environment.deploymentid.md)         |
| `Environment.initialURL`            | It is the scheme URL used when first entering the app                                                   | [initialURL](/documentation/api-and-sdk-en/sdk/domains-api/environment/environment.initialurl.md)             |
| `getAppsInTossGlobals`              | Gets the Appintos global value injected by the host                                                     | [getAppsInTossGlobals](/documentation/api-and-sdk-en/sdk/domains-api/environment/getappsintossglobals.md)     |
| `Environment.getNetworkStatus`      | Gets the device's current network connection status                                                     | [getNetworkStatus](/documentation/api-and-sdk-en/sdk/domains-api/environment/environment.getnetworkstatus.md) |
| `Environment.getServerTime`         | Gets the current time of the Toss app server as Unix timestamp (ms)                                     | [getServerTime](/documentation/api-and-sdk-en/sdk/domains-api/environment/environment.getservertime.md)       |
| `Environment.isMinVersionSupported` | Checks whether the current Toss app version is at least the minimum supported version for each platform | [isMinVersionSupported](/documentation/api-and-sdk-en/sdk/domains-api/environment/isminversionsupported.md)   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/environment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
